/* ** This files handles the course's data function(s) ** */
// Animate

// Update stage will render next frame
createjs.Ticker.framerate = 30;
createjs.Ticker.addEventListener("tick", tickHandler);


function tickHandler(e) {
    stage.update();
}



// Get Value from slider
$("#heat").change(function() {
    $("#heat").val($(this).val());
    getHeat("νερό");
    //getKcal();
});

// Calculations
function getKcal() {
    //var heatVal = Number(f);
    heatVal = $("#heat").val();
    document.getElementById("label").innerHTML = "Θερμότητα = <strong>" + heatVal + "</strong> (Κcal)";
}

// Change heat
function heat_changed() {
    getHeat("νερό");
    //getKcal();
}

//Material Data Sets
function heat() {

    if (heatVal == 0) {
        showPointers("noImage", 76, 410, "νερό");
        phaseStatus("Πάγος");
    }
    //Πάγος και νερό
    else if (heatVal == 20) {
        showPointers("point20", 95, 345, "νερό");
        phaseStatus("Πάγος και Νερό");
    } else if (heatVal == 40) {
        showPointers("point40", 106, 345, "νερό");
        phaseStatus("Πάγος και Νερό");
    } else if (heatVal == 60) {
        showPointers("point60", 116, 345, "νερό");
        phaseStatus("Πάγος και Νερό");
    } else if (heatVal == 80) {
        showPointers("point80", 127, 345, "νερό");
        phaseStatus("Πάγος και Νερό");
    } else if (heatVal == 100) {
        showPointers("point100", 150, 345, "νερό");
        phaseStatus("Πάγος και Νερό");
    }
    //Νερό
    else if (heatVal == 120) {
        showPointers("point120", 165, 312, "νερό");
        phaseStatus("Νερό");
    } else if (heatVal == 140) {
        showPointers("point140", 180, 278, "νερό");
        phaseStatus("Νερό");
    } else if (heatVal == 160) {
        showPointers("point160", 194, 244, "νερό");
        phaseStatus("Νερό");
    } else if (heatVal == 180) {
        showPointers("point180", 208, 210, "νερό");
        phaseStatus("Νερό");
    } else if (heatVal == 200) {
        showPointers("point200", 220, 176, "νερό");
        phaseStatus("Νερό");
    }
    //Νερό και Ατμός
    else if (heatVal == 220) {
        showPointers("point220", 237, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 240) {
        showPointers("point240", 245, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 260) {
        showPointers("point260", 258, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 280) {
        showPointers("point280", 268, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 300) {
        showPointers("point300", 290, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 320) {
        showPointers("point320", 307, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 340) {
        showPointers("point340", 315, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 360) {
        showPointers("point360", 328, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 380) {
        showPointers("point380", 338, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 400) {
        showPointers("point400", 360, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 420) {
        showPointers("point420", 377, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 440) {
        showPointers("point440", 385, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 460) {
        showPointers("point460", 398, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 480) {
        showPointers("point480", 408, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 500) {
        showPointers("point500", 429, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 520) {
        showPointers("point520", 445, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 540) {
        showPointers("point540", 453, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 560) {
        showPointers("point560", 466, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 580) {
        showPointers("point580", 476, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 600) {
        showPointers("point600", 498, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 620) {
        showPointers("point620", 514, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 640) {
        showPointers("point640", 522, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 660) {
        showPointers("point660", 535, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 680) {
        showPointers("point680", 545, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 700) {
        showPointers("point700", 568, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 720) {
        showPointers("point720", 584, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 740) {
        showPointers("point740", 595, 176, "νερό");
        phaseStatus("Νερό και Ατμός");
    } else if (heatVal == 760) {
        showPointers("point760", 608, 145, "νερό");
        phaseStatus("Ατμός");
    } else if (heatVal == 780) {
        showPointers("point780", 620, 110, "νερό");
        phaseStatus("Ατμός");
    }
}

function getHeat(materialVal) {

    getKcal();
    // var material = document.getElementById("material").value;
    var material = materialVal;
    if (material == "νερό") {
        // Call Data Set
        heat();
        shapeDiagram.alpha = 1;
    }
}

function phaseStatus(text) {
    //document.getElementById("katastasiTitle").innerHTML = "Φάση: " + text;
    //document.getElementById("katastasi").src = "images/pagos.png";
    if (heatVal == 0) {
        document.getElementById("katastasi").src = "images/ice.png";
    } else if (heatVal >= 20 && heatVal < 100) {
        document.getElementById("katastasi").src = "images/water-ice.png";
    } else if (heatVal >= 100 && heatVal <= 140) {
        document.getElementById("katastasi").src = "images/water.png";
    } else if (heatVal >= 140 && heatVal < 200) {
        document.getElementById("katastasi").src = "images/water.png";
    } else if (heatVal >= 200 && heatVal < 740) {
        document.getElementById("katastasi").src = "images/water-steam.png";
    } else if (heatVal == 740) {
        document.getElementById("katastasi").src = "images/steam.png";
    } else if (heatVal <= 760 || heatVal == 780) {
        document.getElementById("katastasi").src = "images/steam.png";
    }

}