// Initialize Canvas
canvas = document.getElementById("canvas");
var stage = new createjs.Stage("canvas");

//Stage Dimensions
stageWidth = stage.canvas.width;
stageHeight = stage.canvas.height;

/* Start of Main Container */
var main_container = new createjs.Container();
/* End of Main Container */


/* Start of Main Container Elements */

// Diagram Image
var shapeDiagram = new createjs.Bitmap("images/diagram-empty.png");

shapeDiagram.scaleX = shapeDiagram.scaleY = 1;
//Align on Stage
shapeDiagram.x = 10;
shapeDiagram.y = 50;

//Material Title
var diagramTitle = new createjs.Text("", "bold 18px Arial", "#293766");
diagramTitle.textAlign = "center";
//Align Title on Stage
diagramTitle.x = 350; //395
diagramTitle.y = 35; //15
//diagramTitle.shadow = new createjs.Shadow("#333", 0, 0, 1);
//
var diagramTitleBox = new createjs.Shape();
//diagramTitleBox.graphics.setStrokeStyle(5).beginStroke("#293766").beginFill("#293766").drawRoundRectComplex(0, 0, 390, 30, 10, 10, 10, 10); //drawRect(0, 0, 390, 30);
//diagramTitleBox.shadow = new createjs.Shadow("#666", 0, 0, 1);
//Set Text
/*diagramTitle.text = "Διάγραμμα Θερμοκρασίας - Θερμότητας";
diagramTitleBox.x = 200;
diagramTitleBox.y = 10;*/


//MetalikoDokimio Title
var statesBox = new createjs.Text("Κατάσταση", "bold 20px Arial", "#293766");
statesBox.textAlign = "center";
//Align Title on Stage
statesBox.x = stageWidth - 130;
statesBox.y = stageHeight - 500;
statesBox.shadow = new createjs.Shadow("#666", 0, 0, 1);

//Epimikinsi Type
var statesBoxText = new createjs.Text("", "bold 15px Arial", "#333");
statesBoxText.textAlign = "center";
//Align Title on Stage
statesBoxText.x = stageWidth - 130;
statesBoxText.y = stageHeight - 470;
statesBoxText.shadow = new createjs.Shadow("#666", 0, 0, 1);

// Material Place Holder
var malakosXalivas = new createjs.Bitmap("images/diagram.png");
malakosXalivas.x = shapeDiagram.x;
malakosXalivas.y = shapeDiagram.y;

var imgContainer = new createjs.Container();
var imagePlaceholder = new createjs.Shape();

//Width and Height
var imagePlaceHolderWidth = 220;
var imagePlaceholderHeight = 365; //360
//Create Placeholder for the Material Image [old fill: "rgba(0, 0, 0, 0.0"]
imagePlaceholder.graphics.setStrokeStyle(5).beginStroke("#293766").beginFill("#e4e4e4").drawRect(0, 0, imagePlaceHolderWidth, imagePlaceholderHeight);

//Add Elements to the Image Container
imgContainer.addChild(imagePlaceholder);

//Align Image Container on Stage depending on the width and Height of The stage
imgContainer.x = stageWidth - 240;
imgContainer.y = stageHeight - 440; //440

//Extra Beauties!!
imgContainer.shadow = new createjs.Shadow("#333", 2, 5, 10);
imgContainer.cursor = "pointer";

//State Title
var statesTitle = new createjs.Text("", "bold 16px Arial", "#293766");
statesTitle.textAlign = "center";
//Align Title on Stage
statesTitle.x = stageWidth - 70;
statesTitle.y = stageHeight - 270;
statesTitle.shadow = new createjs.Shadow("#666", 0, 0, 1);


// States Info Diagram
var diagramBox = new createjs.Shape();
diagramBox.graphics.setStrokeStyle(5).beginStroke("#d16289").beginFill("#d16289").drawRoundRectComplex(0, 0, 145, 35, 6, 6, 6, 6); //drawRect(0, 0, 145, 35);
//diagramBox.graphics.setStrokeStyle(5).beginStroke("#293766").beginFill("#e4e4e4").drawRoundRectComplex(0, 0, 145, 35, 6, 6, 6, 6); //drawRect(0, 0, 145, 35);
diagramBox.shadow = new createjs.Shadow("#666", 0, 0, 1);
//
diagramBox.x = 350;
diagramBox.y = 490;
//
var diagramImg = new createjs.Bitmap("images/diagramInfoShape.png");

diagramImg.x = 10;
diagramImg.y = 50;

diagramImg.alpha = 0;

//Methanoli Diagram
var methanoli = new createjs.Bitmap("images/methanoliDiagram.png");

methanoli.x = shapeDiagram.x; //10;
methanoli.y = shapeDiagram.y; //50;

methanoli.alpha = 0;

// Dot Pointer: shows the unition of F and Δl axis
var dotPointer = new createjs.Shape();
dotPointer.graphics.setStrokeStyle(4).beginStroke("#024a88").beginFill("#f3f3f3").drawCircle(0, 0, 15);
dotPointer.graphics.beginFill("#024a88").drawCircle(0, 0, 8);
dotPointer.shadow = new createjs.Shadow("#999", 1, 1, 1);
//
dotPointer.alpha = 0;
dotPointer.scaleX = dotPointer.scaleY = 0.4; //0.5
//dotPointer.cursor = "pointer";
//Dashed Lines for points
var point20 = new createjs.Bitmap("images/point20.png");
var point40 = new createjs.Bitmap("images/point40.png");
var point60 = new createjs.Bitmap("images/point60.png");
var point80 = new createjs.Bitmap("images/point80.png");
var point100 = new createjs.Bitmap("images/point100.png");
var point120 = new createjs.Bitmap("images/point120.png");
var point140 = new createjs.Bitmap("images/point140.png");
var point160 = new createjs.Bitmap("images/point160.png");
var point180 = new createjs.Bitmap("images/point180.png");
var point200 = new createjs.Bitmap("images/point200.png");
var point220 = new createjs.Bitmap("images/point220.png");
var point240 = new createjs.Bitmap("images/point240.png");
var point260 = new createjs.Bitmap("images/point260.png");
var point280 = new createjs.Bitmap("images/point280.png");
var point300 = new createjs.Bitmap("images/point300.png");
var point320 = new createjs.Bitmap("images/point320.png");
var point340 = new createjs.Bitmap("images/point340.png");
var point360 = new createjs.Bitmap("images/point360.png");
var point380 = new createjs.Bitmap("images/point380.png");
var point400 = new createjs.Bitmap("images/point400.png");
var point420 = new createjs.Bitmap("images/point420.png");
var point440 = new createjs.Bitmap("images/point440.png");
var point460 = new createjs.Bitmap("images/point460.png");
var point480 = new createjs.Bitmap("images/point480.png");
var point500 = new createjs.Bitmap("images/point500.png");
var point520 = new createjs.Bitmap("images/point520.png");
var point540 = new createjs.Bitmap("images/point540.png");
var point560 = new createjs.Bitmap("images/point560.png");
var point580 = new createjs.Bitmap("images/point580.png");
var point600 = new createjs.Bitmap("images/point600.png");
var point620 = new createjs.Bitmap("images/point620.png");
var point640 = new createjs.Bitmap("images/point640.png");
var point660 = new createjs.Bitmap("images/point660.png");
var point680 = new createjs.Bitmap("images/point680.png");
var point700 = new createjs.Bitmap("images/point700.png");
var point720 = new createjs.Bitmap("images/point720.png");
var point740 = new createjs.Bitmap("images/point740.png");
var point760 = new createjs.Bitmap("images/point760.png");
var point780 = new createjs.Bitmap("images/point780.png");

//Black Pointers
var blackPointers = new createjs.Container();
blackPointers.shadow = new createjs.Shadow("#999", 1, 1, 1);
var bpIce = new createjs.Shape();
var bpWaterIce1 = new createjs.Shape();
var bpWaterIce2 = new createjs.Shape();
var bpWater = new createjs.Shape();
var bpWaterSteam = new createjs.Shape();
var bpSteam = new createjs.Shape();
bpIce.graphics.beginFill("#024a88").drawCircle(0, 0, 6);
bpWaterIce1.graphics.beginFill("#024a88").drawCircle(0, 0, 6);
bpWaterIce2.graphics.beginFill("#024a88").drawCircle(0, 0, 6);
bpWater.graphics.beginFill("#024a88").drawCircle(0, 0, 6);
bpWaterSteam.graphics.beginFill("#024a88").drawCircle(0, 0, 6);
bpSteam.graphics.beginFill("#024a88").drawCircle(0, 0, 6);
//x
bpIce.x = 66;
bpWaterIce1.x = 85;
bpWaterIce2.x = 140;
bpWater.x = 212;
bpWaterSteam.x = 585;
bpSteam.x = 611;
//y
bpIce.y = 360;
bpWaterIce1.y = 295;
bpWaterIce2.y = 295;
bpWater.y = 126;
bpWaterSteam.y = 126;
bpSteam.y = 60;
//
bpIce.cursor = "pointer";
bpWaterIce1.cursor = "pointer";
bpWaterIce2.cursor = "pointer";
bpWater.cursor = "pointer";
bpWaterSteam.cursor = "pointer";
bpSteam.cursor = "pointer";
//
blackPointers.x = shapeDiagram.x;
blackPointers.y = shapeDiagram.y;
blackPointers.addChild(bpIce, bpWaterIce1, bpWaterIce2, bpWater, bpWaterSteam, bpSteam);

// x
point20.x = point40.x = point60.x = point80.x = point100.x = point120.x = point140.x = point160.x = point180.x = point200.x = point220.x = point240.x = point260.x = point280.x = point300.x = point320.x = point340.x = point360.x = point380.x = point400.x = point420.x = point440.x = point460.x = point480.x = point500.x = point520.x = point540.x = point560.x = point580.x = point600.x = point620.x = point640.x = point660.x = point680.x = point700.x = point720.x = point740.x = point760.x = point780.x = shapeDiagram.x;
//y 
point20.y = point40.y = point60.y = point80.y = point100.y = point120.y = point140.y = point160.y = point180.y = point200.y = point220.y = point240.y = point260.y = point280.y = point300.y = point320.y = point340.y = point360.y = point380.y = point400.y = point420.y = point440.y = point460.y = point480.y = point500.y = point520.y = point540.y = point560.y = point580.y = point600.y = point620.y = point640.y = point660.y = point680.y = point700.y = point720.y = point740.y = point760.y = point780.y = shapeDiagram.y;
// alpha
point20.alpha = point40.alpha = point60.alpha = point80.alpha = point100.alpha = point120.alpha = point140.alpha = point160.alpha = point180.alpha = point200.alpha = point220.alpha = point240.alpha = point260.alpha = point280.alpha = point300.alpha = point320.alpha = point340.alpha = point360.alpha = point380.alpha = point400.alpha = point420.alpha = point440.alpha = point460.alpha = point480.alpha = point500.alpha = point520.alpha = point540.alpha = point560.alpha = point580.alpha = point600.alpha = point620.alpha = point640.alpha = point660.alpha = point680.alpha = point700.alpha = point720.alpha = point740.alpha = point760.alpha = point780.alpha = 0;

// Material States
var pagos = new createjs.Bitmap("images/arxikoMikos.png");
var nerokaipagos = new createjs.Bitmap("images/nerokaipagos.png");
var nero = new createjs.Bitmap("images/nero.png");
var nerokaiatmos = new createjs.Bitmap("images/nerokaiatmos.png");
var atmos = new createjs.Bitmap("images/atmos.png");
// x,y 
pagos.x = nerokaipagos.x = nero.x = nerokaiatmos.x = atmos.x = imgContainer.x + 62;
pagos.y = nerokaipagos.y = nero.y = nerokaiatmos.y = atmos.y = imgContainer.y + 15; //5
// alpha
pagos.alpha = nerokaipagos.alpha = nero.alpha = nerokaiatmos.alpha = atmos.alpha = 0;

//Tooltip Elements
var tooltipContainer = new createjs.Container();
var tooltipBox = new createjs.Shape();
var tooltipTxt = new createjs.Text("", "bold 14px Arial", "#f3f3f3");
tooltipTxt.textAlign = "center";
tooltipContainer.x = 100;
tooltipContainer.y = 100;
//
tooltipBox.shadow = new createjs.Shadow("#999", 1, 1, 1);
tooltipTxt.shadow = new createjs.Shadow("#666", 0, 0, 1);
//
tooltipContainer.addChild(tooltipBox, tooltipTxt);

/* End of Main Container Elements*/

/* Start of Functions Section */
//showPointers: Function that shows pointer and info about it!
function showPointers(imgName, dotX, dotY, materialName) {
    //Set Text
    //diagramTitle.text = "Διάγραμμα θερμότητας - θερμοκρασίας"; //materialName;
    // Reset Alpha State
    dotPointer.alpha = 0;
    //
    point20.alpha = point40.alpha = point60.alpha = point80.alpha = point100.alpha = point120.alpha = point140.alpha = point160.alpha = point180.alpha = point200.alpha = point220.alpha = point240.alpha = point260.alpha = point280.alpha = point300.alpha = point320.alpha = point340.alpha = point360.alpha = point380.alpha = point400.alpha = point420.alpha = point440.alpha = point460.alpha = point480.alpha = point500.alpha = point520.alpha = point540.alpha = point560.alpha = point580.alpha = point600.alpha = point620.alpha = point640.alpha = point660.alpha = point680.alpha = point700.alpha = point720.alpha = point740.alpha = point760.alpha = point780.alpha = 0;
    //
    pagos.alpha = nerokaipagos.alpha = nero.alpha = nerokaiatmos.alpha = atmos.alpha = 0;

    // Get the Material name and show its data
    if (materialName == "νερό") {
        //shapeDiagram_img.src = 'images/diagram-empty.png';
        dotPointer.alpha = 1;
        //Νερό και Πάγος
        if (imgName == "point20") {
            point20.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Σημείο Β:\n\nΘερμοκρασία Τήξης");
        } else if (imgName == "point40") {
            point40.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό Και Πάγος");
        } else if (imgName == "point60") {
            point60.alpha = 1;
            nerokaipagos.alpha = 1;
            //dotPointerAction(dotPointer, "Νερό Και Πάγος");
        } else if (imgName == "point80") {
            point80.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό Και Πάγος");
        } else if (imgName == "point100") {
            point100.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Σημείο Γ:\n\nΥπόψυκτο Υγρό");
        }
        //Νερό 
        else if (imgName == "point120") {
            point120.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό");
        } else if (imgName == "point140") {
            point140.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό");
        } else if (imgName == "point160") {
            point160.alpha = 1;
            nerokaipagos.alpha = 1;
            //dotPointerAction(dotPointer, "Νερό");
        } else if (imgName == "point180") {
            point180.alpha = 1;
            nerokaipagos.alpha = 1;
            //dotPointerAction(dotPointer, "Νερό");
        } else if (imgName == "point200") {
            point200.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Σημείο Δ:\n\nΘερμοκρασία ατμοποίησης\n\nΚορεσμένο Υγρό");
        }
        //Νερό και Ατμός
        else if (imgName == "point220") {
            point220.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point260") {
            point260.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point240") {
            point240.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point280") {
            point280.alpha = 1;
            nerokaipagos.alpha = 1;
            //   dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point300") {
            point300.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point320") {
            point320.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point340") {
            point340.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point360") {
            point360.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point380") {
            point380.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point400") {
            point400.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point420") {
            point420.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point440") {
            point440.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point460") {
            point460.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point480") {
            point480.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point500") {
            point500.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point520") {
            point520.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point540") {
            point540.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point560") {
            point560.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point580") {
            point580.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point600") {
            point600.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point620") {
            point620.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point640") {
            point640.alpha = 1;
            nerokaipagos.alpha = 1;
            //  dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point660") {
            point660.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point680") {
            point680.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point700") {
            point700.alpha = 1;
            nerokaipagos.alpha = 1;
            // dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point720") {
            point720.alpha = 1;
            nerokaipagos.alpha = 1;
            //dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point740") {
            point740.alpha = 1;
            nerokaipagos.alpha = 1;
            //dotPointerAction(dotPointer, "Νερό και Ατμός");
        }
        //Ατμός
        else if (imgName == "point760") {
            point760.alpha = 1;
            nerokaipagos.alpha = 1;
            //dotPointerAction(dotPointer, "Νερό και Ατμός");
        } else if (imgName == "point780") {
            point780.alpha = 1;
            nerokaipagos.alpha = 1;
            //dotPointerAction(dotPointer, "Ατμός");
        }
        //Πάγος
        else if (imgName == "noImage") {
            dotPointer.alpha = 1;
            pagos.alpha = 1;
            // dotPointerAction(dotPointer, "Σημείο Α:\n\nΞηρός Πάγος\n\n(<0 Βαθμοί Κελσίου)");
        }
    } else {
        diagramTitle.text = materialName;
        //
        point20.alpha = point40.alpha = point60.alpha = point80.alpha = point100.alpha = point120.alpha = point140.alpha = point160.alpha = point180.alpha = point200.alpha = point220.alpha = point240.alpha = point260.alpha = point280.alpha = point300.alpha = point320.alpha = point340.alpha = point360.alpha = point380.alpha = point400.alpha = point420.alpha = point440.alpha = point460.alpha = point480.alpha = point500.alpha = point520.alpha = point540.alpha = point560.alpha = point580.alpha = point600.alpha = point620.alpha = point640.alpha = point660.alpha = point680.alpha = point700.alpha = point720.alpha = point740.alpha = point760.alpha = point780.alpha = 0;
        //
        pagos.alpha = nerokaipagos.alpha = nero.alpha = nerokaiatmos.alpha = atmos.alpha = 0;
        dotPointer.alpha = 0;
    }
    // Dot Coordinates & Alpha
    dotPointer.x = dotX;
    dotPointer.y = dotY;
}


/* End of  Functions Section */

/* Start of Mouse Actions */
//Dot Pointer Actions
function dotPointerAction(pointer, txt) {
    pointer.on("click", function() {
        if (txt == "none") {

            main_container.removeChild(tooltipContainer);
        } else {
            tooltipBox.graphics.clear();
            //
            tooltipBox.graphics.setStrokeStyle(5).beginFill("rgba(2, 74, 136, 0.8").drawRect(0, 0, 200, 100);
            //
            tooltipTxt.text = txt;
            tooltipTxt.x = 200 / 2;
            tooltipTxt.y = 20;

            tooltipContainer.x = pointer.x + 20;
            tooltipContainer.y = pointer.y - 0;

            if (txt == "Σημείο Β:\n\nΘερμοκρασία Τήξης") {
                tooltipContainer.x = pointer.x + 10;
                tooltipContainer.y = pointer.y - 54;

            } else if (txt == "Σημείο Ε:\n\nΞηρός Κορεσμένος Ατμός") {

                tooltipContainer.x = pointer.x - 200;
                tooltipContainer.y = pointer.y - 0;
            } else if (txt == "Σημείο Z:\n\nΥπέρθερμος Ατμός\n\n( > 100 Celcius)") {

                tooltipContainer.x = pointer.x - 200;
                tooltipContainer.y = pointer.y - 0;
            }
            //
            stage.addChild(tooltipContainer);
            //stage.update();
        }
    });
    pointer.on("mouseout", function() {
        stage.removeChild(tooltipContainer);
    });

    stage.update();
}

//TooltipContainer Action in order to close on mobiles
tooltipContainer.on("click", function() {
    stage.removeChild(tooltipContainer);
    stage.update();
});
//shapeInfo Region  Actions
var diagramFlag = false;
//function for ON/OFF
function diagramInfoShape() {
    if (diagramFlag == false) {
        diagramFlag = true;
        diagramImg.alpha = 1;
    } else if (diagramFlag == true) {
        diagramImg.alpha = 0;
        diagramFlag = false;
    }
    /*diagramImg.x = 10;
    diagramImg.y = 50;*/
    stage.update();
    return diagramFlag;
}
//Methanoli Diagram
var methFlag = false;
//function for ON/OFF
function diagramMeth() {
    if (methFlag == false) {
        methFlag = true;
        methanoli.alpha = 1;
    } else if (methFlag == true) {
        methanoli.alpha = 0;
        methFlag = false;
    }
    /*diagramImg.x = 10;
    diagramImg.y = 50;*/
    stage.update();
    return diagramFlag;
}

//Black Pointers
dotPointerAction(bpIce, "Σημείο Α:\n\nΞηρός Πάγος\n\n( < 0 Celcius )");
dotPointerAction(bpWaterIce1, "Σημείο Β:\n\nΘερμοκρασία Τήξης");
dotPointerAction(bpWaterIce2, "Σημείο Γ\n\nΥπόψυκτο Υγρό");
dotPointerAction(bpWater, "Σημείο Δ:\n\nΘερμοκρασία ατμοποίησης\n\nΚορεσμένο Υγρό");
dotPointerAction(bpWaterSteam, "Σημείο Ε:\n\nΞηρός Κορεσμένος Ατμός");
dotPointerAction(bpSteam, "Σημείο Z:\n\nΥπέρθερμος Ατμός\n\n( > 100 Celcius)");

/* End of Mouse Actions */
//Add Element to the Main Container
main_container.addChild(diagramImg, methanoli, shapeDiagram, diagramTitleBox, diagramTitle, statesBoxText, statesTitle, point20, point40, point60, point80, point100, point120, point140, point160, point180, point200, point220, point240, point260, point280, point300, point320, point340, point360, point380, point400, point420, point440, point460, point480, point500, point520, point540, point560, point580, point600, point620, point640, point660, point680, point700, point720, point740, point760, point780, pagos, nerokaipagos, nero, nerokaiatmos, atmos);
//imgContainer, statesBox
// Put elements on stage
stage.addChild(main_container, blackPointers, dotPointer);
//diagramBox, diagramInfoShapeTitle, elasticRegionBox, elasticRegionTitle

// Update stage
stage.update();